> ## Documentation Index
> Fetch the complete documentation index at: https://boosterberg.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Login with Email & Password



## OpenAPI

````yaml POST /user/login-password
openapi: 3.0.0
info:
  title: Boosterberg API
  description: REST API For Boosterberg user-facing application
  contact:
    name: Miloslav Kona
    email: mkona@bykd.com
  version: '1.0'
servers:
  - url: https://api.boosterberg.com-beta.com/v1
    description: dev server
  - url: https://auto.boost.api/v1
    description: local
  - url: https://api.boosterberg.com/v1
    description: production
security: []
tags:
  - name: Posts
    description: Post lifecycle and evaluation data across all campaigns
paths:
  /user/login-password:
    post:
      summary: Login with email and password
      operationId: c6e5a44a06156a5ded1c1b28ede3711d
      requestBody:
        description: ''
        required: true
        content:
          application/json:
            schema:
              required:
                - email
                - password
              properties:
                email:
                  description: User email address
                  type: string
                  example: user@example.com
                password:
                  description: User password
                  type: string
                  example: password123
              type: object
      responses:
        '200':
          description: Returns User object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
      security: []
components:
  schemas:
    User:
      properties:
        fbid:
          type: integer
        email:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        phone_number:
          type: string
        agency_id:
          type: integer
        agency_name:
          type: string
        credit_balance:
          type: number
          format: float
          example: '500.00'
      type: object

````